import type { LTApiResult } from '../types/sdk';
export declare function listDomains(): Promise<LTApiResult>;
export declare function listEntries(input: {
    domain: string;
    tags?: string[];
    search?: string;
    limit?: number;
    offset?: number;
}): Promise<LTApiResult>;
export declare function getEntry(input: {
    domain: string;
    key: string;
}): Promise<LTApiResult>;
export declare function storeEntry(input: {
    domain: string;
    key: string;
    data: Record<string, any>;
    tags?: string[];
    replace?: boolean;
}): Promise<LTApiResult>;
export declare function setField(input: {
    domain: string;
    key: string;
    path: string;
    value: any;
    tags?: string[];
}): Promise<LTApiResult>;
export declare function removeField(input: {
    domain: string;
    key: string;
    path: string;
}): Promise<LTApiResult>;
export declare function deleteEntry(input: {
    domain: string;
    key: string;
}): Promise<LTApiResult>;
